Package org.apache.felix.cm.json.io

## Interface ConfigurationWriter

    @ProviderType
    public interface ConfigurationWriter

A configuration writer can write configuration resources as defined in OSGi Configurator specificiation. A writer can be obtained through a `ConfigurationWriter.Builder`.

### Nested Class Summary

Nested Classes
`static interface` `ConfigurationWriter.Builder` Builder to create a writer.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `writeConfiguration​(Dictionary<String,​Object> properties)` Write a single configuration to the provided writer.
`void` `writeConfigurationResource​(ConfigurationResource resource)` Write a configuration resource to the provided writer.

### Method Detail

#### writeConfiguration

    void writeConfiguration​(Dictionary<String,​Object> properties)
                     throws IOException

Write a single configuration to the provided writer. The writer/generator is not closed.

Parameters:
  `properties` - The configuration
Throws:
  `IOException` - If writing fails

#### writeConfigurationResource

    void writeConfigurationResource​(ConfigurationResource resource)
                             throws IOException

Write a configuration resource to the provided writer. The writer/generator is not closed.

Parameters:
  `resource` - The configuration resource
Throws:
  `IOException` - If writing fails